/*
 * Name: cifsconst.h
 * Project: Sharity
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1999-02-10
 * Tabsize: 4
 * Copyright: (c) 1999 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: cifsconst.h,v 1.1.1.1 1999/04/12 13:56:35 cs Exp $
 */

#ifndef __cifsconst_H_INCLUDED__
#define __cifsconst_H_INCLUDED__

/*
General Description:
This module defines constants used throughout the CIFS modules.
*/


#define	CONST_MAX_WINDOW_SIZE				16
#define CONST_ATTR_SIZE_HOLD_AFTER_WRITE	5000
#define	CONST_NOTLICENSED_TEXT				"This copy of Sharity is not registered.\n"
#define	CONST_NETBIOS_PORT					139
#define	CONST_USERDB_PATH					"/usr/local/sharity/var/sharity.udb"

/* defaults for configuration constants: */
#define	CONST_CONNECT_TIMEOUT				2000	/* used for netbios connects */
#define	CONST_REQUEST_TIMEOUT				10000	/* used for SMB requests */
#define	CONST_DIRCACHE_LIFETIME				1000
#define	CONST_ATTRCACHE_LIFETIME			1000
#define	CONST_DCACHE_LIFETIME_UNLOCKED		200
#define	CONST_CLOSEDELAY_UNLOCKED			200
#define	CONST_CLOSEDELAY_LOCKED				2000
#define	CONST_CLOSEDELAY_BATCH				60000
#define	CONST_READAHEAD_LOCKED				2
#define	CONST_READAHEAD_UNLOCKED			0
#define	CONST_DATA_CACHE_SIZE				32768
#define	CONST_UMOUNT_TIMEOUT				(1000 * 60 * 20)	/* automounter idle until unmount */
#define	CONST_BROWSE_CACHE_TIME				10000	/* caching time for browser entries */

#endif /* __cifsconst_H_INCLUDED__ */
