/*
 * Name: nbdgs.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 2001-04-22
 * Tabsize: 4
 * Copyright: (c) 2001 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: nbdgs.h,v 1.2 2001/04/26 14:14:11 cs Exp $
 */

#ifndef __nbdgs_H_INCLUDED__
#define __nbdgs_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
This module implements netbios datagram service functions. The primary
function is nbdgsSendRequestBrowserElection() to initiate an LMB election.
*/

/* ------------------------------------------------------------------------- */

void	nbdgsSendToBrowseMailslot(void *caller, btu8 *data, btsize size, btu8 *myName, btu8 *remoteName, btint remoteTag);
/* callback: btError rval from dgSocket.h */

void	nbdgsSendRequestBrowserElection(void *caller, btu8 *domain);
/* callback: btError rval from dgSocket.h */

/* ------------------------------------------------------------------------- */

#endif /* __nbdgs_H_INCLUDED__ */
