/*
 * Name: main.h
 * Project: CIFS Client
 * Author: Christian Starkjohann <cs@obdev.at>
 * Creation Date: 1997-12-10
 * Tabsize: 4
 * Copyright: (c) 1998 by Christian Starkjohann, all rights reserved.
 *     For details of the license see the file doc/License.txt.
 * This Revision: $Id: main.h,v 1.1.1.1 1999/04/12 13:56:42 cs Exp $
 */

#ifndef __main_H_INCLUDED__
#define __main_H_INCLUDED__

#include "basictypes.h"

/*
General Description:
The main-module initializes the daemon and mounts all stored mounts. It also
contains all global data which is concentrated into one global structure:
'gdata'.
*/

/* ------------------------------------------------------------------------- */

typedef struct globalData{
	struct cfgFile		*cfgFile;	/* automatically reparsed config file */
	struct cfgFile		*dbFile;	/* automatically reparsed database file */
	struct ipcServer	*ipcServer;
	struct notificationCenter	*terminateNotification;
}globalData_t;

extern globalData_t	gdata;

void	mainSignalHandlers(btbool removeThem);
/* This function installs or removes the signal handlers. */

/* ------------------------------------------------------------------------- */

#endif	/* __main_H_INCLUDED__ */
